# MessageGameShortNameCallbackQuery - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.CallbackQuery / MessageGameShortNameCallbackQuery

# MessageGameShortNameCallbackQuery

(common) `data class MessageGameShortNameCallbackQuery : GameShortNameCallbackQuery, MessageCallbackQuery` (source)

### Constructors

(common)

#### <init>

`MessageGameShortNameCallbackQuery(id: CallbackQueryIdentifier, user: User, chatInstance: String, message: Message, gameShortName: String)`

### Properties

(common)

#### chatInstance

`val chatInstance: String`

(common)

#### gameShortName

`val gameShortName: String`

(common)

#### id

`val id: CallbackQueryIdentifier`

(common)

#### message

`val message: Message`

(common)

#### user

`val user: User`

### Extension Functions

(common)

#### createAnswer

`fun CallbackQuery.createAnswer(text: String? = null, showAlert: Boolean? = null, url: String? = null, cachedTimeSeconds: Int? = null): AnswerCallbackQuery`